Index: /papers/2016_HDR_ND/Advanced_diags/smithpurcell.bbl
===================================================================
--- /papers/2016_HDR_ND/Advanced_diags/smithpurcell.bbl	(revision 741)
+++ /papers/2016_HDR_ND/Advanced_diags/smithpurcell.bbl	(revision 742)
@@ -437,3 +437,15 @@
 \newblock Master's thesis, Unpublished, 2017.
 
+\bibitem{barros:in2p3-01020770}
+J.~Barros, N.~Delerue, M.~Vieille-Grosjean, I.~Dolenc~Kittelmann, and
+  C.~Thomas.
+\newblock {On the suitability of longitudinal profile measurements using
+  coherent Smith-Purcell radiation for high current proton beams}.
+\newblock {5th International Particle Accelerator Conference IPAC'14}, June
+  2014.
+\newblock Poster - THPME089 - Work financially supported by the Universit{\'e}
+  Paris-Sud (programme "attractivit{\'e}") and the French ANR (contract
+  ANR-12-JS05-0003-01) -
+  http://accelconf.web.cern.ch/AccelConf/IPAC2014/papers/thpme089.pdf.
+
 \end{thebibliography}
Index: /papers/2016_HDR_ND/Advanced_diags/smithpurcell.tex
===================================================================
--- /papers/2016_HDR_ND/Advanced_diags/smithpurcell.tex	(revision 741)
+++ /papers/2016_HDR_ND/Advanced_diags/smithpurcell.tex	(revision 742)
@@ -718,18 +718,25 @@
 \end{figure}
 
-We 
-
-
-
-Future plans
-
-
-
-\subsection{Outlook: Application to laser-driven plasma accelerators and ERLs}
-beam grating sep.
-beam stability
-shot to shot stability
-ESS
-
+During the recent runs we took data with two different grating pitches. As the data were taken on different days (at the moment changing the grating requires breaking the vacuum) it is difficult to put them together but the comparisons we did look promising.
+
+The experiment will be upgraded in a few months so that we will be able to change the grating without breaking the vacuum. We also hope to be able to test strategies were 3 gratings will be exposed at the same time (at different azimuthal angles) to be able to do single shot measurements a scheme showing a transverse view of such layout is shown on figure~\ref{fig:multiple_gratings}.
+
+
+\begin{figure}[!htb]
+  \centering
+  \includegraphics[width=50mm]{multiple_gratings.png}
+  \caption{Proposed scheme for single show measurement: in the transverse plane three different grating, \ang{60} apart are used to measure three different wavelength ranges from the beam.
+    }
+  \label{fig:multiple_gratings}
+\end{figure}
+
+
+\subsection{Outlook: Application to laser-driven plasma accelerators, ERLs and the ESS}
+
+Coherent Smith-Purcell Radiation has the potential to become a single shot diagnostic to measure longitudinal profile. 
+
+One of the initial motivation for this diagnostic is to be able to measure the longitudinal profile of beams coming out of plasma accelerators. The very short pulses produced by such accelerator make them a very interesting topic to study and the ESCULAP facility at LAL (see section~\ref{sec:ESCULAP}) will offer good testing opportunities. One important question that CSPR should allow to settle on a plasma acceleration experiment is wether the electron pulse has been produced alone or if it accompanied by satellites in the neighboring buckets.
+
+However on the way other applications have appeared. The European Spallation Facility will have ps-bunches in its high energy and their length will have to be measured non destructively. CSPR is well suited for such measure as it is non intercepting and some preliminary studies have been performed~\cite{barros:in2p3-01020770}. Another location where the non intercepting nature of CSPR combined to the moderate cost of the associated detector can be an advantage is Energy Recovery Linacs (ERL). In an ERL longitudinal deformation of the electron bunch can be amplified at each pass leading to beam disruption. A monitor capable of monitoring the bunch profile at several locations without destroying it  is therefore important. This can be done by a CSPR monitor.
 
 
Index: /papers/2016_HDR_ND/Advanced_diags/tail.tex
===================================================================
--- /papers/2016_HDR_ND/Advanced_diags/tail.tex	(revision 741)
+++ /papers/2016_HDR_ND/Advanced_diags/tail.tex	(revision 742)
@@ -6,4 +6,5 @@
 laser-synch
 {chap:laser-plasma} \label{chap:laser-plasma}
+{sec:ESCULAP} \label{sec:ESCULAP}
 {sec:OTR interference} \label{sec:OTR_interference}
 