Index: /papers/2016_HDR_ND/Conclusion/conclusion.tex
===================================================================
--- /papers/2016_HDR_ND/Conclusion/conclusion.tex	(revision 751)
+++ /papers/2016_HDR_ND/Conclusion/conclusion.tex	(revision 752)
@@ -4,3 +4,9 @@
 \chapter{Outlook}
 
+It has been more than twenty years since I first set foot in a research laboratory as a project student~\cite{stage_CPPM}.  For me it has been exciting and challenging. I have worked in countries that are very different from each other and found that this was very enriching. 
+
+Despite the regular work done by scientists, science progresses by steps: new machines are the trigger for new discoveries. However these machines have to be built part by part, day after day. The efforts I joined when I arrived in France are about to bring their fruits: in the coming months or years, the compact X-ray source ThomX should see its first electrons and the Petawaatt laser APOLLON its first photons at about the same time we expect to accelerate the first electrons on ESCULAP.
+
+This will be challenging (and the start of these large project within a few months from each other will make it even more challenging).
+
 \input{./tail}
Index: /papers/2016_HDR_ND/Conclusion/students.tex
===================================================================
--- /papers/2016_HDR_ND/Conclusion/students.tex	(revision 751)
+++ /papers/2016_HDR_ND/Conclusion/students.tex	(revision 752)
@@ -7,12 +7,15 @@
 I am writing this manuscript as a formal examination to be allowed to direct researches (``Habilitation \`a diriger des recherches''). During my career so far I have had many opportunities to work with students from all ages. Working with interns or PhD student has always been a pleasure. Students always bring a fresh look on a problem, sometimes triggering questions on results that were taken for granted. Some students area quick to grab the tasks they have to do and some need more help. On several occasions I  have had the pleasure to meet again a former student a few years later at CERN or at a conference.
 
-The work we do as a researcher can not be dissociated from teaching. XXXX
+The work we do as a researcher can not be dissociated from teaching. At every stage of my career from my graduate studies until now I have been involved in some sort of teaching.  Teaching is a good opportunity to revisit our understanding of the underlying physics and the questions asked by the student sometimes  shed a completely different light on a well-understood problem.
 
-students
+While I am teaching I like to check that the student are following the lecture by asking quick questions (quizz) every few minutes to check that the notion I just covered was well understood. I noticed that this gives me a better feeling for the level of the students and the parts of the course that need improvement.
 
-teaching 
-MOOC + quizz
+To further the awareness of undergraduate students in Europe about particle accelerators and the associated physics,  I am coordinating the preparation of a Massive Online Open Course (MOOC) on particle accelerator science and engineering as part of the European Union H2020 project ARIES (Accelerator Research and Innovation for European Science and Society).  This MOOC will  make it possible for all students across Europe to learn about particle accelerators even for those from Universities far from accelerator centers. It is expected to be available online around 2019 or 2020.
 
-general public 
+Finally as a researcher I always keep in mind that I need to inform our society about the work I do (and that is paid for by taxpayers).
+This is not a new idea, one of the founders of CNRS (Jean Perrin) already had the idea that science had to be shared with the public and he contributed to the foundation of a science museum in Paris ("Palais de la d\'ecouverte") at the same time~\cite{palais_decouverte_CNRS} to achieve this goal.
+ I regularly give presentation to schools or to the general public about physics in general and more specifically about accelerators when the opportunity arises (see~\cite{delerue:in2p3-01191530} for example) and I contribute regularly to science magazine for high school students (for example in~\cite{cos-182,cos-185}).
+
+Comparing my experience of publicizing Science to the public in France and in the UK is very interesting: in both country I have been invited several times to the parliament (about four times in six year in each country) to speak of science (and once to the prime minister's residence in the UK). In the UK this was always in my capacity of scientist to present what I was working on and why it needs to be funded. In France, it was always in personal capacity to talk about the societal and ethical implications of science (see for example~\cite{senat}). This difference can also be found, when engaging with the public: in the UK I had to explain what the science I am doing is worth to the society whereas in France the questions the public asks are more focussed on how it works and what we could do with the potential discovery. This sheds an interesting light on the concerns of both societies.
 
 
Index: /papers/2016_HDR_ND/HDR_Nicolas_Delerue.tex
===================================================================
--- /papers/2016_HDR_ND/HDR_Nicolas_Delerue.tex	(revision 751)
+++ /papers/2016_HDR_ND/HDR_Nicolas_Delerue.tex	(revision 752)
@@ -26,5 +26,5 @@
 \include{Conclusion/students}
 \include{Conclusion/conclusion}
-\include{Conclusion/annex}
+%\include{Conclusion/annex}
 \include{Conclusion/acknowledgments}
 