Index: /papers/2019_IPAC/i3d_BPM/FRXXPLS1.tex
===================================================================
--- /papers/2019_IPAC/i3d_BPM/FRXXPLS1.tex	(revision 803)
+++ /papers/2019_IPAC/i3d_BPM/FRXXPLS1.tex	(revision 804)
@@ -92,15 +92,15 @@
 	\includegraphics*[height=25mm]{FRXXPLS1f1b.jpg}
 	\includegraphics*[height=25mm]{FRXXPLS1f1c.jpg}
-	\caption{CAD 3D view of the i3D BPM (top) and pictures of the BPM after printing. The shapes have been created by tolopogical optimization. Electrical feedthrough have been added separately.}
+	\caption{CAD 3D view of the 3D-printed  BPM (top) and pictures of the BPM after printing. The shapes have been created by tolopogical optimization. Electrical feedthrough have been added separately.}
 	\label{fig:BPM_view}
 \end{figure}
 
-After additive manufacturing minor work was still required in the workshop to sharpen the vacuum knife-edges and to solder the electrical feedthrough (which were not made by additive manufacturing) .
-This BPM was about 50\% cheaper than a BPM machined in the mechanical workshop and conventionnal one it took two weeks to build against 6 weeks with conventionnal tools. For the same functionnalities the design was more compact as more complex shapes could be done using additive manufacturing.
+After additive manufacturing minor work was still required in the mechanical workshop to sharpen the vacuum knife-edges and to solder the electrical feedthrough (which were not made by additive manufacturing) .
+This BPM was about 50\% cheaper than a BPM machined in the mechanical workshop by conventionnal means and it took two weeks to build against 6 weeks with conventionnal means. For the same functionnalities the design was more compact as more complex shapes could be done using additive manufacturing.
 
 \section{Stretched wire tests}
 \label{sec:stretched}
 To measure the resolution of the BPM we used the stretched wire method. 
-A short beasmline was assembled using two conventionnal BPMs and this i3D BPM (with beam pipes in between) and a wire was stretched in their middle as shown on image~\ref{fig:test_bench}.
+A short beamline was assembled using two conventionnal BPMs and this 3D-printed BPM (with beam pipes in between) and a wire was stretched in their middle as shown on image~\ref{fig:test_bench}.
 
 
@@ -108,5 +108,5 @@
 	\centering
 	\includegraphics*[width=125mm]{FRXXPLS1f2.png}
-	\caption{The test bench where the three BPMs have been measured. The BPM built using additive manufacturing is in the middle and the two ones built using conventionnal means are on the ends.  Translation stages allow to move the BPMs vertically and horizontally (transverse to the BPM axis). A conductong metallic wire is stretched through the BPMs and electric pulses are sent on it.}
+	\caption{The test bench where the three BPMs have been measured. The BPM built using additive manufacturing is in the middle and the two ones built using conventionnal means are on the ends.  Translation stages allow to move the BPMs vertically and horizontally (transverse to the BPM axis). A conducting metallic wire is stretched through the BPMs and electric pulses are sent on it.}
 	\label{fig:test_bench}
 \end{figure*}
@@ -124,5 +124,5 @@
 
 Example of data acquired are shown on figure~\ref{fig:stretched_wire_data}. The horizontal axis is the estimated position according to the translation stage settings and the vertical axis is the value calculated by the libera based on  the signal read on the electrodes.
- The figure shows the position for the two conventional BPMs (green and blue dots) and the i3D BPM (red dots). As can be seen the measure for the three BPMs are similar indicating that the i3D BPM has a response similar to that of the conventionnal BPMs.
+ The figure shows the position for the two conventional BPMs (green and blue dots) and the 3D-printed  BPM (red dots). As can be seen the measure for the three BPMs are similar indicating that the 3D-printed  BPM has a response similar to that of the conventionnal BPMs.
 
 \begin{figure}[!htb]
@@ -130,5 +130,5 @@
 	\includegraphics*[width=75mm]{FRXXPLS1f4a.png}\\
 	\includegraphics*[width=75mm]{FRXXPLS1f4b.png}
-	\caption{Position measured by the three BPMs (after calculation by the Libera). The horizontal axis shows the estimated position according to the number of steps sent to the motor and the vertical axis shows the measured position. To make the figure easier to read an offset has been applied to the value read by the BPMs so that of the three BPM are reading 0 when the motor is at position 0. The red dots correspond  to the i3D  BPM and the blue and  green dots to the conventionnel BPM.}
+	\caption{Position measured by the three BPMs (after calculation by the Libera). The horizontal axis shows the estimated position according to the number of steps sent to the motor and the vertical axis shows the measured position. To make the figure easier to read an offset has been applied to the value read by the BPMs so that of the three BPM are reading 0 when the motor is at position 0. The red dots correspond  to the 3D-printed BPM and the blue and  green dots to the conventionnel BPM.}
 	\label{fig:stretched_wire_data}
 \end{figure}
@@ -141,11 +141,11 @@
 	\centering
 	\includegraphics*[width=115mm]{FRXXPLS1f5.png}
-	\caption{The BPM triplet installed on PHIL. The beam is coming from  the left to the right.  On  the picture one can see (from left to red), first an ICT then one of the conventionnal BPM, the i3D BPM  and the other conventionnal BPM. There is no magnetic elemen t between the BPMs.}
+	\caption{The BPM triplet installed on PHIL. The beam is coming from  the left to the right.  On  the picture one can see (from left to red), first an ICT then one of the conventionnal BPM, the 3D-printed BPM  and the other conventionnal BPM. There is no magnetic element between the BPMs.}
 	\label{fig:BPM_on_PHIL}
 \end{figure*}
 
-Following these tests we decided to install the BPM triplet on a real electron accelerator, that is the Photo-injector PHIL~\cite{Alves:2012pw} (see image \ref{fig:BPM_on_PHIL}). The BPMs, including the i3D BPM were cleaned and leak tested by the LAL Vacuum group who approved them for installation in the Ultra High Vacuum of the photo-injector.
-
-The BPMs were installed in the accelerator beam line after a focusing solenoid and two steering magnets. The beam energy was \SI{3.5}{MeV} and its size at the BPMs location about \SI{2.5}{mm}. During  the experiment changes in the machine settings were then made to see the response of each BPM to these changes. We found that the i3D BPM had overall higher readings on all electrodes, indicating  that the electrode pick-up was better. This can be explained by a better impedance matching of the electrodes of this BPM than that of the other BPMs. An example of raw data measured with this BPM triplet is shown on figure~\ref{fig:data_on_PHIL_position}.
+Following these tests we decided to install the BPM triplet on a real electron accelerator, that is the Photo-injector PHIL~\cite{Alves:2012pw} (see image \ref{fig:BPM_on_PHIL}). The BPMs, including the 3D-printed BPM were cleaned and leak tested by the LAL Vacuum group who approved them for installation in the Ultra High Vacuum of the photo-injector.
+
+The BPMs were installed in the accelerator beam line after a focusing solenoid and two steering magnets. The beam energy was \SI{3.5}{MeV} and its size at the BPMs location about \SI{2.5}{mm}. During  the experiment changes in the machine settings were then made to see the response of each BPM to these changes. We found that the 3D-printed BPM had overall higher readings on all electrodes, indicating  that the electrode pick-up was better. This can be explained by a better impedance matching of the electrodes of this BPM than that of the other BPMs. An example of raw data measured with this BPM triplet is shown on figure~\ref{fig:data_on_PHIL_position}.
 
 
@@ -153,10 +153,10 @@
 	\centering
 	\includegraphics*[width=85mm]{FRXXPLS1f6.png}\\
-	\caption{Bottom four plots: Reading by each of the four electrodes (SpVa, SpVb, SpVc and SpVd) of the three BPMs (represented by three colors, red, blue and gree, the i3D BPM is in red). Top two plots: X (horizontal) and Y (vertical) position of the beam calculated by the libera. Given that the reading the i3D BPM were higher a factor two higher attenuation was applied to these electrodes. The data were acquired in single pass mode.}
+	\caption{Bottom four plots: Reading by each of the four electrodes (SpVa, SpVb, SpVc and SpVd) of the three BPMs (represented by three colors, red, blue and gree, the 3D-printed BPM is in red). Top two plots: X (horizontal) and Y (vertical) position of the beam calculated by the libera. Given that the reading the 3D-printed BPM were higher a factor two higher attenuation was applied to these electrodes. The data were acquired in single pass mode.}
 	\label{fig:data_on_PHIL_position}
 \end{figure}
 
 
-As there was no magnetic element between the BPMs, the electron beam follows a ballistic trajectory as it travels through the triplet. It is thus possible to measure the accuracy of the position measurement of the triplet by comparing the reading of the center BPM with the reading expected by drawing a straight line between the two other BPMs. The result of such analysis is shown on figure~\ref{fig:data_on_PHIL_residuals}. As we can see the difference between these two values is less than \SI{200}{\micro m}  in the horizontal  plane ($x$) and less than  \SI{400}{\micro m}  in the vertical  plane ($y$). These difference are similar to those observed using conventionnal BPMs only  and thus using an additively manufactured BPM did not degrade the position resolution of the  triplet.
+As there was no magnetic element between the BPMs, the electron beam follows a ballistic trajectory as it travels through the triplet. It is thus possible to measure the accuracy of the position measurement of the triplet by comparing the reading of the center BPM with the reading expected by drawing a straight line between the two other BPMs. The result of such analysis is shown on figure~\ref{fig:data_on_PHIL_residuals}. As we can see the difference between these two values is less than \SI{200}{\micro m}  in the horizontal  plane ($x$) and less than  \SI{400}{\micro m}  in the vertical  plane ($y$). These difference are similar to those observed using conventional BPMs only  and thus using an additively manufactured BPM did not degrade the position resolution of the  triplet.
 
 \begin{figure}[htbp]
@@ -170,5 +170,5 @@
 \section{Outlook}
 
-The tests we have done show that the performances of a BPM built using additive manufacturing are  comparable or better than those of a BPM built using conventional methods. Following these tests we decided that future BPMs installed on the ThomX accelerator will be made using  additive mnanufacturing so that we can gain experience over a long period and confirm that the performances remain comparable or better than those of a conventionnal BPM.
+The tests we have done show that the performances of a BPM built using additive manufacturing are  comparable or better than those of a BPM built using conventional methods. Following these tests we decided that future BPMs installed on the ThomX accelerator will be made using  additive manufacturing so that we can gain experience over a long period and confirm that the performances remain comparable or better than those of a conventionnal BPM.
 
 